import Model, { Providers } from '@tripian/model';
import random from './Random';
import data from './data/data';
import API from './api/API';
import easy from './easy/easy';
import ProvidersYelpAPI from './providers/yelp/API';
import ProvidersGygAPI from './providers/gyg/API';
import ProvidersBbAPI from './providers/bb/API';
import ProvidersTravelifyAPI from './providers/travelify/API';
import ProvidersViatorAPI from './providers/viator/API';
import ProvidersRezdyAPI from './providers/rezdy/API';
import ProvidersVidereoAPI from './providers/videreo/API';
import ProvidersToristyAPI from './providers/toristy/API';
import ProvidersVictoryAPI from './providers/victory/API';
declare let api: API;
/**
 * This function initilize for web sdk.
 */
declare const init: (url: string, xApiKey: string, token?: Model.Token, useCahce?: boolean, lang?: string) => void;
type Providers = {
    yelp?: ProvidersYelpAPI;
    gyg?: ProvidersGygAPI;
    bb?: ProvidersBbAPI;
    travelify?: ProvidersTravelifyAPI;
    viator?: ProvidersViatorAPI;
    rezdy?: ProvidersRezdyAPI;
    videreo?: ProvidersVidereoAPI;
    toristy?: ProvidersToristyAPI;
    victory?: ProvidersVictoryAPI;
    yelpInit: (apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string, lang?: string) => void;
    gygInit: (apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string, lang?: string, currency?: string) => void;
    bbInit: (apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string) => Promise<void>;
    travelifyInit: (apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string, clientId?: string) => void;
    viatorInit: (apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string, lang?: string) => void;
    rezdyInit: (apiUrl: string, apiToken: string, proxyURL: string) => void;
    videreoInit: (apiUrl: string, proxyURL: string) => void;
    toristyInit: (apiUrl: string, apiToken: string, proxyURL: string) => void;
    victoryInit: (apiUrl: string, apiToken: string, proxyURL: string) => void;
};
declare const providers: Providers;
declare const ver: string;
export { ver, random, data, API, api, init, easy, providers };
